{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function relational_call, msg, security_check, set_property\r\ndeclare function send_event, center_window\r\ndeclare subroutine forward_event, send_event, set_list_box_data, rlist\r\ndeclare subroutine security_err_msg\r\n\r\n$insert company_equ\r\n$insert security_rights_equ\r\n$insert rlist_equates\r\n\r\nif index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\n.co_id->misc = field( CreateParam, '*', 2 )\r\n.description->text = 'Contact Names for: ':xlate( 'COMPANY', .co_id->misc, company_co_name$, 'X' )\r\nKeys = field( CreateParam, '*', 1 )\r\nif Keys then\r\n   * need to send to qbf\r\n   convert @vm to @fm in Keys\r\n   Void = set_property( @window, 'QBFLIST', Keys ) \r\n   Void = set_property( @window, '@NoRead', 1 ) \r\n   .seq->text = Keys<1>\r\n   Void = send_event( @window, 'READ' )\r\n   Void = set_property( @window, '@NoRead', 0 )\r\nend \r\nset_list_box_data( CtrlEntId )\r\nif security_check( 'Names', Edit$ ) else\r\n   security_err_msg( 'Names', Edit$ )\r\nend\r\nVoid = set_property( @window, '@NoRead', 0 )\r\nreturn 0\r\n"
        }
    }
}